ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michelle Le <michelle_t...@yahoo.com>
Subject Is there an ant version that supports JavaCC 4.0?
Date Tue, 04 Apr 2006 05:06:56 GMT
To build my code in Java 5, it's required to upgrade JavaCC to 
version 4.0.  I have downloaded JavaCC source and built the JavaCC.zip file.  
I'm having problem when executing javacc from ant build.xml file. ant 
is looking for "COM.sun.labs..." when the source that I have built 
contains "org.javacc" package name.  "COM.sun.labs" is defined in the 
COM_PACKAGE value in the 
C:\Apache-Ant-1.6.5\apache-ant-1.6.5\docs\manual\api\constant-values.html#org.apache.tools.ant.taskdefs.optional.javacc.JavaCC.COM_PACKAGE.
 
There is also an ORG_PACKAGE_3_1 defined as "org.javacc".
  My questions are:
   
  1. How do I change my build environment so ant will resolve to the 
"org.javacc" package? OR
  2. How do I change the COM_PACKAGE Constant Field Value in ant so I 
will resolve with "org.javacc" instead of "COM.sun.labs"?
   
  Thank you,
   
  Michelle


		
---------------------------------
Talk is cheap. Use Yahoo! Messenger to make PC-to-Phone calls.  Great rates starting at 1&cent;/min.
Mime
  • Unnamed multipart/alternative (inline, 8-Bit, 0 bytes)
View raw message